lttng-modules 2.8.0-1ubuntu1~16.04.5 ADT test failure with linux-hwe-edge 4.15.0-23.25~16.04.1

Bug #1777682 reported by Marcelo Cerri on 2018-06-19
28
This bug affects 2 people
Affects Status Importance Assigned to Milestone
lttng-modules (Ubuntu)
Undecided
Marcelo Cerri
Xenial
Undecided
Unassigned

Bug Description

SRU Request:

[Impact]

Currently the DKMS package fails to install on supported custom
kernels that are based on 4.15. That includes the current 4.15
hwe-edge and some of the custom and cloud kernels as well.

[Test Case]

Install the broadcom-sta package with the 4.15 hwe-edge kernel. The
package installation should proceed without any errors.

[Regression Potential]

Although new patches were added, the regression risk is very low since
the new changes are conditionally compiled based on the kernel
version.

Besides that, the new package was tested with the following kernels in
an amd64 environment:

- linux-generic 4.4
- linux-hwe 4.13
- linux-hwe-edge 4.15
- linux-azure 4.15

[Original Description]

Testing failed on:
    amd64: https://objectstorage.prodstack4-5.canonical.com/v1/AUTH_77e2ada1e7a84929a74ba3b87153c0ac/autopkgtest-xenial/xenial/amd64/l/lttng-modules/20180528_193635_39048@/log.gz
    arm64: https://objectstorage.prodstack4-5.canonical.com/v1/AUTH_77e2ada1e7a84929a74ba3b87153c0ac/autopkgtest-xenial/xenial/arm64/l/lttng-modules/20180528_195032_39048@/log.gz
    armhf: https://objectstorage.prodstack4-5.canonical.com/v1/AUTH_77e2ada1e7a84929a74ba3b87153c0ac/autopkgtest-xenial/xenial/armhf/l/lttng-modules/20180528_194139_39048@/log.gz
    i386: https://objectstorage.prodstack4-5.canonical.com/v1/AUTH_77e2ada1e7a84929a74ba3b87153c0ac/autopkgtest-xenial/xenial/i386/l/lttng-modules/20180528_194024_39048@/log.gz
    ppc64el: https://objectstorage.prodstack4-5.canonical.com/v1/AUTH_77e2ada1e7a84929a74ba3b87153c0ac/autopkgtest-xenial/xenial/ppc64el/l/lttng-modules/20180528_194343_39048@/log.gz
    s390x: https://objectstorage.prodstack4-5.canonical.com/v1/AUTH_77e2ada1e7a84929a74ba3b87153c0ac/autopkgtest-xenial/xenial/s390x/l/lttng-modules/20180528_193734_39048@/log.gz

Marcelo Cerri (mhcerri) wrote :
tags: added: kernel-adt-failure
Marcelo Cerri (mhcerri) on 2018-06-19
Changed in lttng-modules (Ubuntu):
assignee: nobody → Marcelo Cerri (mhcerri)
status: New → In Progress
description: updated
tags: added: patch
Alberto Milone (albertomilone) wrote :

@Marcelo: the build log reports a failure. I don't know if it's just because of the cc flags. Please have a look:

scripts/Makefile.build:339: recipe for target '/var/lib/dkms/lttng-modules/2.8.0/build/lttng-ring-buffer-client-discard.o' failed
make[1]: *** [/var/lib/dkms/lttng-modules/2.8.0/build/lttng-ring-buffer-client-discard.o] Error 1
Makefile:1552: recipe for target '_module_/var/lib/dkms/lttng-modules/2.8.0/build' failed
make: *** [_module_/var/lib/dkms/lttng-modules/2.8.0/build] Error 2

Marcelo Cerri (mhcerri) wrote :

Hi, @albertomilone.

I couldn't reproduce that error. Do you have further details on how you tested the package?

Running the adt test locally I had to use a VM with more RAM than the default. Do you think that might be the problem you had?

Marcelo Cerri (mhcerri) wrote :
Alberto Milone (albertomilone) wrote :

I have corrected a small typo in patch 0038, to make a lintian warning go away, and I have uploaded lttng-modules_2.8.0-1ubuntu1~16.04.6, which is now waiting in -proposed.

description: updated
Łukasz Zemczak (sil2100) wrote :

Please fix the SRU description as it seems to mention installing broadcom-sta instead of lttng-modules-dkms (copy-paste error probably). Otherwise the package is fine so I accepted it (I need this for .5).

Changed in lttng-modules (Ubuntu Xenial):
status: New → Fix Committed
tags: added: verification-needed verification-needed-xenial

Hello Marcelo, or anyone else affected,

Accepted lttng-modules into xenial-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/lttng-modules/2.8.0-1ubuntu1~16.04.6 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed.Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-xenial to verification-done-xenial. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-xenial. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Po-Hsu Lin (cypressyew) wrote :

The one I got from -proposed is 2.8.0-1ubuntu1~16.04.7
It can be installed on an Azure node with 4.15.0-1013-azure #13~16.04.2 kernel running on it.
Thanks

$ dkms status -m lttng-modules
lttng-modules, 2.8.0, 4.15.0-1013-azure, x86_64: installed
$ uname -a
Linux x-la-azure-4-15-0-Basic-A1-ebizzy 4.15.0-1013-azure #13~16.04.2-Ubuntu SMP Wed May 30 01:39:27 UTC 2018 x86_64 x86_64 x86_64 GNU/Linux

tags: added: verification-done verification-done-xenial
removed: verification-needed verification-needed-xenial
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package lttng-modules - 2.8.0-1ubuntu1~16.04.7

---------------
lttng-modules (2.8.0-1ubuntu1~16.04.7) xenial; urgency=medium

  * ubuntu_lttng_smoke_test failed on Azure 4.15 (LP: #1778642)
    - debian/patches/0041-Fix-do-not-use-CONFIG_HOTPLUG_CPU-for-the-new-hotplu.patch
    - debian/patches/0042-Cleanup-comment-about-CONFIG_HOTPLUG_CPU-ifdef.patch

 -- Kleber Sacilotto de Souza <email address hidden> Thu, 19 Jul 2018 17:47:16 +0200

Changed in lttng-modules (Ubuntu Xenial):
status: Fix Committed → Fix Released
Po-Hsu Lin (cypressyew) on 2018-08-01
Changed in lttng-modules (Ubuntu):
status: In Progress → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers